import CourseList from "@web/src/components/models/course/list/CourseList";
import { useAuth } from "@web/src/providers/auth-provider";

export default function MyDutyPage() {
	const { user } = useAuth();
	return (
		<>
			<div className="p-4">
				<CourseList
					edit
					params={{
						pageSize: 12,
						where: {
							authorId: user.id,
						},
					}}
					cols={4}></CourseList>
			</div>
		</>
	);
}
